// ---------------------------------------------------------------------------------------------------------------------
// TESTS: Repeating Groups Of Fields ( 1 -> N arrays of containers for multiple fields )
// ---------------------------------------------------------------------------------------------------------------------

const model = {
	repeating: [
		{
			a: 1,
			b: 2,
		},
		{
			a: 3,
			b: 4,
		}
	],
	standard: 'YABBA DABBA DOOOOOO'
};

const meta = {
	repeating: {
		label: 'Repeating Group',
		seed: { class: 'short-field' },
		minRepeat: 1,
		maxRepeat: 5,
		initialRepeat: 3,
		showAddControl: true,
		showDeleteControl: true,
		display: 'ALL', // ALL or SINGLE,
		primaryField: 'a',
		meta: [
			{
				a: { label: 'Field A' },
				b: { label: 'Field B', type: 'select', options: [1, 2, 3, 4, 5] }
			}
		]
	}
};

export { model, meta };