// ---------------------------------------------------------------------------------------------------------------------
// TESTS: Repeating Single Fields (i.e. fields not part of a repeating container group)
// ---------------------------------------------------------------------------------------------------------------------

import { Validators as V } from '@angular/forms';

const model = {};

const meta = {
	email: {
		label: 'Email Configuration',
		source: '/',
		meta: {
			emailTo: { label: 'To', validators: [ V.required, V.email ] },
			emailCc: { 
				minRepeat: 1,
				maxRepeat: 5,
				initialRepeat: 1,
				showAddControl: true,
				showDeleteControl: true,
				validators: V.email
			},
			emailBcc: { 
				minRepeat: 1,
				maxRepeat: 5,
				initialRepeat: 1,
				showAddControl: true,
				showDeleteControl: true,
				validators: V.email
			},
			subject: { validators: V.required },
			message: { type: 'textarea' }
		}
	}
};

export { model, meta };
