import { NgModule, LOCALE_ID } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';

import { DynaformModule } from './dynaform/dynaform.module';
// import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { AppComponent } from './app.component';
import { JsonFormatterDirective } from './directives/json-formatter.directive';

import { FRIENDLY_VALIDATION_ERRORS, friendlyValidationErrors } from './dynaform/config/validation-messages.config'; // You may want to provide in a highher level module to override


@NgModule({
	imports: [
		BrowserModule,
		BrowserAnimationsModule,
		FormsModule,
		ReactiveFormsModule,
		RouterModule.forRoot([]),
		DynaformModule,
		// NgbModule.forRoot()
	],
	declarations: [
		AppComponent,
		JsonFormatterDirective
	],
	providers: [
		{ provide: LOCALE_ID, useValue: 'en-gb' },
		[{ provide: FRIENDLY_VALIDATION_ERRORS, useValue: friendlyValidationErrors }]  // You may want to provide in a highher level module to override
	],
	bootstrap:  [AppComponent ]
})
export class AppModule { }
