import { Input, OnInit } from '@angular/core';
import { FormGroup, FormArray } from '@angular/forms';

export abstract class GroupInputComponent implements OnInit {

	@Input()
	control: FormGroup | FormArray;

	@Input()
	set meta(meta: StringMap<any>) {
		this._meta = meta;
		this.exposeForTemplate();
	};

	formGroup: FormGroup;
	childMetaArray: Array<StringMap<any>>;
	controlNames: Array<string>;

	readonly componentName: string;
	exposeMetaInTemplate: string[] = [];
	_meta: StringMap<any>

	ngOnInit() {
		// Get the FormGroup, and information about the controls inside it
		this.formGroup = this.control as FormGroup;
		this.childMetaArray = Object.values(this._meta.meta); // Metadata array of all controls in group
		this.controlNames = Object.keys(this.formGroup.controls);
	}

	exposeForTemplate() {
		// Move meta variables up a level, for direct access in templates
		this.exposeMetaInTemplate.map(p => this[p] = this._meta[p] !== undefined ? this._meta[p] : this[p]);
	}

	getName(): string {
		return this.componentName;
	}

}
