import { Component, ChangeDetectorRef } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { FriendlyValidationErrorsService } from './../../../services/friendly-validation-errors.service';


@Component({
	selector: 'app-checkbox',
	templateUrl: './clr-checkbox.component.html',
	styleUrls: ['./clr-checkbox.component.scss']
})
export class ClrCheckboxComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['label'];

	label: string;

	readonly componentName = 'CheckboxComponent'; // For AOT compatibility, as class names don't survive minification

	setValue(cb: HTMLInputElement) {
		this.control.setValue(cb.checked ? this._meta.checkedValue : false);
		this.handleChange();
	}

	constructor(
		protected valErrsService: FriendlyValidationErrorsService,
		protected _cdr: ChangeDetectorRef
	) {
		super(valErrsService, _cdr);
	}

}
