import { Component, ChangeDetectorRef, OnInit } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { FriendlyValidationErrorsService } from './../../../services/friendly-validation-errors.service';


@Component({
	selector: 'app-datepicker',
	templateUrl: './datepicker.component.html',
	styleUrls: ['./datepicker.component.scss']
})
export class ClrDatepickerComponent extends NativeInputComponent implements OnInit {

	exposeMetaInTemplate: string[] = ['label', 'extraClass', 'placeholder'];

	label: string;
	extraClass: string;
	placeholder: string;

	readonly componentName = 'DatepickerComponent'; // For AOT compatibility, as class names don't survive minification

	constructor(
		protected valErrsService: FriendlyValidationErrorsService,
		protected _cdr: ChangeDetectorRef
	) {
		super(valErrsService, _cdr);
	}

	ngOnInit() {
		// Clarity datepicker expects a string when used reactively
		const dateObj = this.control.value;
		const d = dateObj.getDate();
		const m = dateObj.getMonth();
		const y = dateObj.getFullYear();
		this.control.setValue(`${d}/${m + 1}/${y}`);
	}

}
