import { Component, ChangeDetectorRef, OnChanges } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { FriendlyValidationErrorsService } from './../../../services/friendly-validation-errors.service';

@Component({
	selector: 'app-clr-display',
	templateUrl: './clr-display.component.html',
	styleUrls: ['./clr-display.component.scss']
})
export class ClrDisplayComponent extends NativeInputComponent implements OnChanges {

	exposeMetaInTemplate: string[] = ['label', 'link'];

	label: string;
	link: string;

	readonly componentName = 'DisplayComponent'; // For AOT compatibility, as class names don't survive minification

	constructor(
		protected valErrsService: FriendlyValidationErrorsService,
		protected _cdr: ChangeDetectorRef
	) {
		super(valErrsService, _cdr);
	}

	ngOnChanges() {
		console.log(this._meta);
		console.log(this.control);
	}

}
