import { Component, ChangeDetectorRef } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { FriendlyValidationErrorsService } from './../../../services/friendly-validation-errors.service';

@Component({
	selector: 'app-password',
	templateUrl: './clr-password.component.html',
	styleUrls: ['./clr-password.component.scss']
})
export class ClrPasswordComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['label', 'placeholder'];

	label: string;
	placeholder: string;

	readonly componentName = 'PasswordComponent'; // For AOT compatibility, as class names don't survive minification

	constructor(
		protected valErrsService: FriendlyValidationErrorsService,
		protected _cdr: ChangeDetectorRef
	) {
		super(valErrsService, _cdr);
	}

}
