import { Component, ChangeDetectorRef } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { IOption } from '../../../models/field.model';
import { FriendlyValidationErrorsService } from './../../../services/friendly-validation-errors.service';

@Component({
	selector: 'app-radio',
	templateUrl: './clr-radio.component.html',
	styleUrls: ['./clr-radio.component.scss']
})
export class ClrRadioComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['name', 'label', 'options', 'horizontal'];

	name: string;
	label: string;
	options: IOption[];
	horizontal; boolean;

	readonly prefix = 'radio_u_' + Math.floor((Math.random() * 10000)).toString();

	readonly componentName = 'RadioComponent'; // For AOT compatibility, as class names don't survive minification

	constructor(
		protected valErrsService: FriendlyValidationErrorsService,
		protected _cdr: ChangeDetectorRef
	) {
		super(valErrsService, _cdr);
	}

}
