import { Component, ChangeDetectorRef } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { FriendlyValidationErrorsService } from './../../../services/friendly-validation-errors.service';


@Component({
	selector: 'app-textarea',
	templateUrl: './clr-textarea.component.html',
	styleUrls: ['./clr-textarea.component.scss']
})
export class ClrTextareaComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['placeholder', 'label'];

	placeholder: string;
	label: string;

	readonly componentName = 'TextareaComponent'; // For AOT compatibility, as class names don't survive minification

	constructor(
		protected valErrsService: FriendlyValidationErrorsService,
		protected _cdr: ChangeDetectorRef
	) {
		super(valErrsService, _cdr);
	}

}
