// Barrel grouping all form field components
// See https://basarat.gitbooks.io/typescript/docs/tips/barrel.html

import { ClrTextComponent as TextComponent } from './clarity/text/clr-text.component';
import { ClrTextareaComponent as TextareaComponent } from './clarity/textarea/clr-textarea.component';
import { ClrPasswordComponent as PasswordComponent } from './clarity/password/clr-password.component';
import { ClrSelectComponent as SelectComponent } from './clarity/select/clr-select.component';
import { ClrRadioComponent as RadioComponent } from './clarity/radio/clr-radio.component';
import { ClrCheckboxComponent as CheckboxComponent } from './clarity/checkbox/clr-checkbox.component';
import { ClrDatepickerComponent  as DatepickerComponent } from './clarity/datepicker/datepicker.component';
import { ClrDisplayComponent  as DisplayComponent } from './clarity/display/clr-display.component';

import { CheckbuttonComponent } from './custom/checkbutton/checkbutton.component';
import { DatetimeComponent } from './custom/datetime/datetime.component';
import { DropdownModifiedInputComponent } from './custom/dropdown-modified-input/dropdown-modified-input.component';
import { MultilineComponent } from './custom/multiline/multiline.component';
import { ClrCheckboxGroupComponent as CheckboxGroupComponent } from './group/checkbox-group/clr-checkbox-group.component';
import { CheckbuttonGroupComponent } from './group/checkbutton-group/checkbutton-group.component';

import { ButtonGroupComponent } from './nocontrol/button-group/button-group.component';
import { HeadingComponent } from './nocontrol/heading/heading.component';

export const ffcArr = [
	TextComponent,
	TextareaComponent,
	PasswordComponent,
	SelectComponent,
	RadioComponent,
	CheckboxComponent,
	DatepickerComponent,
	DisplayComponent,
	CheckbuttonComponent,
	DatetimeComponent,
	DropdownModifiedInputComponent,
	MultilineComponent,
	CheckboxGroupComponent,
	CheckbuttonGroupComponent,
	ButtonGroupComponent,
	HeadingComponent,
];
