import { Component, Input, Output, EventEmitter, OnInit, OnChanges } from '@angular/core';

@Component({
	selector: 'app-button-group',
	templateUrl: './button-group.component.html',
	styleUrls: ['./button-group.component.scss']
})
export class ButtonGroupComponent implements OnInit, OnChanges {

	@Input()
	meta: StringMap<any>;

	@Output()
	call: EventEmitter<string> = new EventEmitter<string>();

	buttons: StringMap<any>[];

	readonly componentName = 'ButtonGroupComponent'; // For AOT compatibility, as class names don't survive minification

	ngOnInit() {
		this.buttons = this.meta.meta;
	}

	ngOnChanges() {
		this.buttons = this.meta.meta;
	}

	handle(fnId: string, e: Event): void {
		e.preventDefault();
		(e.target as HTMLElement).blur();
		this.call.emit(fnId);
	}

}
