import { Component, Input, OnInit, OnChanges } from '@angular/core';

@Component({
	selector: 'app-heading',
	templateUrl: './heading.component.html',
	styleUrls: ['./heading.component.scss']
})
export class HeadingComponent implements OnInit, OnChanges {

	@Input()
	meta: StringMap<any>;

	text: string;
	level: number;

	readonly componentName = 'HeadingComponent'; // For AOT compatibility, as class names don't survive minification

	ngOnInit() {
		this.text = this.meta.text;
		this.level = this.meta.level || 2;
	}
	
	ngOnChanges() {
		this.text = this.meta.text;
		this.level = this.meta.level || 2;
	}

}
