import { InjectionToken } from '@angular/core';
import { FriendlyValErrors } from './../interfaces';

// Configure dynaform-wide friendly validation error messages
// These can be overriden in the metadata for individual controls

export const FRIENDLY_VALIDATION_ERRORS = new InjectionToken<FriendlyValErrors>('validation-messages.config');

export const friendlyValidationErrors: FriendlyValErrors = {
	'required': 'Required',
	'requiredtrue': 'Please tick to confirm',
	'min': 'Pick a number above {{ min }}',
	'max': 'Pick a number below {{ max }}',
	'minlength': 'Enter a longer value, at least {{ requiredLength }} characters long',
	'maxlength': 'Enter a shorter value, no more than {{ requiredLength }} characters long',
	'email': 'Enter a valid email address',
	'pattern': 'Invalid',
	'alreadyTaken': 'This Id is already taken'
};


