// TESTS: Metafirst form generation, with data grabbed from model using 'source'
// test of special source characters

const dumbFlatten = obj => {
	return Object.assign( {}, ...function _flatten(objectBit) {
		return [].concat(
			...Object.keys(objectBit).map(
				key => typeof objectBit[key] === 'object' ? _flatten(objectBit[key]) : { [key]: objectBit[key] }
			)
		);
	}(obj));
};

const testReturnImplicitSource = obj => ({
	bbb: obj.bbb,
	ccc: obj.ccc
});

const testReturnRoot = obj => ({
	a: obj.a,
	b: obj.b,
	f: {
		g: obj.g,
		h: {
			i: obj.i
		}
	},
	nest3: {
		aaa: {
			bbb: obj.bbb,
			ccc: obj.ccc
		}
	}
});

const testReturnFH = obj => ({
	i: obj.i
});

const model = {
	a: 1,
	b: 2,
	c: 3,
	d: 4,
	e: 5,
	f: {
		g: 6,
		h: {
			i: 7,
			j: 8,
			k: {
				l: {
					m: 'Mmmmm...'
				}
			}
		}
	},
	nest3: {
		aaa: {
			bbb: 1,
			ccc: 3
		}
	}
};

const meta = {
	a: {},
	nest: {
		label: 'Nest Test - source /',
		source: '/',
		meta: {
			b: {},
			c: {},
			z: { label: 'Z (with no model value)' }
		}
	},
	nest2: {
		label: 'Nest Test 2 - source f.h',
		source: 'f.h',
		meta: {
			i: {},
			j: {},
			g: { source: '/f.g' },
			nestedNest: {
				label: 'Nested nest with source reset to /',
				source: '/',
				meta: {
					d: {},
					fg: { source: 'f.g' }
				}
			},
			nestedNestTwo: {
				label: 'Nested nest with source reset to /f.h.k.l',
				source: '/f.h.k.l',
				meta: {
					m: {},
					zzz: {}
				}
			}
		}
	},
	nest3: {
		label: 'Test of nested functional mappings',
		meta: {
			aaa: {
				source: [
					obj => testReturnImplicitSource(obj),
					obj => dumbFlatten(obj)
				],
				meta: {
					a: {},
					b: {},
					g: {},
					bbb: {},
					ccc: {},
					i: {}
				}
			}
		}
	}
};

export { model, meta };

